import random

from pydantic import BaseModel, Field


class HelloGeneratorSvc(BaseModel):
    hellos: list[str] = Field(
        default_factory=lambda: [
            "Hola",
            "Ayo",
            "Hi",
            "Bon día",
            "Hola mi tremendo elemento",
            "HOLA",
            "hiii",
        ]
    )

    def run(self, username: str):
        return f"{random.choice(self.hellos)} @{username}"  # noqa: S311
